=== debian/changelog ===
analog (2:6.0-23) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Updated Vcs-* fields.
      - Bumped Standards-Version to 4.6.0.1.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/rules:
      - Removed 'export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed'
        line. No longer needed.
  * debian/salsa-ci.yml: created.
  * debian/tests/control: created to perform trivial CI tests. (LP: #1677701)
  * Fix FTCBFS: Pass cross compiler to Makefile. Thank you Helmut Grohne
    <helmut@subdivi.de>. (Closes: #812231)

 -- Lourisvaldo Figueredo Junior <lourisvaldo@figueredo.tec.br>  Sun, 13 Feb 2022 15:29:44 -0300

analog (2:6.0-22) unstable; urgency=medium

  * QA upload.
  * Bump Standards-Version to 3.9.8.
  * debian/rules:
      - Add DEB_BUILD_MAINT_OPTIONS to improve hardening.
      - Add DEB_LDFLAGS_MAINT_APPEND to avoid a useless dependency
        against the library's symbols.
  * debian/watch: change the old file by a new with a fake site to
    explain about the current status of the original upstream homepage.
  * Run wrap-and-sort.

 -- Allan Dixon Jr. <allandixonjr@gmail.com>  Thu, 10 Nov 2016 10:16:12 -0500

analog (2:6.0-21) unstable; urgency=medium

  * QA upload.
  * Build-Depend on libgd-dev.  (Closes: #791850)
  * Fix FTBFS on HURD, thanks to Cyril Roelandt.  (Closes: #674823)
  * debian/patches/02_windows_vista_7.patch: (Closes: #618951)  (LP: #222813)
    add patch by Andrew Glen-Young to recognize Windows 7 and Vista.
  * Patch build system to allow the build date to be set externally,
    and set it to the latest debian/changelog entry for reproducibility.
    Thanks to Dhole.  (Closes: #788752)
  * Ensure hardening flags are used during build.
  * Use source format 3.0 (quilt), stop using quilt directly.
  * Switch to debhelper compat level 9 and simplify d/rules.
  * Bump Standards-Version to 3.9.6.
  * Debconf translations:
    - Indonesian (id) by Mahyuddin Susanto.  (Closes: #658779)
    - Turkish (tr) by Mert Dirik.  (Closes: #759872)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Jul 2015 20:43:25 +0200

analog (2:6.0-20) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Build-Depend on libpng-dev. Closes: #662268
  * Add missing targets to debian/rules: build-{arch,indep}.
  * Bump Standards-Version to 3.9.5.

 -- Emanuele Rocca <ema@debian.org>  Wed, 05 Feb 2014 23:14:24 +0100

analog (2:6.0-19.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #599864
    - Korean (김종규).  Closes: #632423

 -- Christian Perrier <bubulle@debian.org>  Tue, 20 Dec 2011 18:34:50 +0100

analog (2:6.0-19) unstable; urgency=low

  * Add Vcs-* fields.
  * Add 01_bzip_reading.diff. Patch from
    Andrew McCarthy <andrewmc-debian@celt.dias.ie>. Closes: #522277.
  * Update Standards-Version to 3.8.1. (No changes).

 -- Bradley Smith <bradsmith@debian.org>  Tue, 07 Apr 2009 20:44:46 +0100

analog (2:6.0-18) unstable; urgency=low

  * Update maintainer email address.
  * Update Standards-Version to 3.8.0 (No changes).

 -- Bradley Smith <bradsmith@debian.org>  Sat, 29 Nov 2008 19:27:48 +0000

analog (2:6.0-17~lenny1) testing-proposed-updates; urgency=low

  * Re-build for lenny.

 -- Bradley Smith <brad@brad-smith.co.uk>  Sat, 22 Nov 2008 13:16:33 +0000

analog (2:6.0-17) unstable; urgency=low

  * Fix pending l10n bugs. Debconf translations:
    - Swedish, (Martin Ågren). Closes: #491529.

 -- Bradley Smith <brad@brad-smith.co.uk>  Sun, 05 Oct 2008 11:38:37 +0100

analog (2:6.0-16) unstable; urgency=low

  * New Maintainer. Closes: #483259
  * Remove wrong Vcs-Git entry.
  * Expand dh rules out to stop lintain complaining.
  * Remove unneeded empty dir and correct README.Debian.
  * Correct doc-base Section to Network/Monitoring.
  * Remove /var/www/analog symlink and add instructions in README.Debian.
  * Remove extra license file.
  * Suggest apache2 not apache.
  * Add quilt patch system.
   + 00_misc_fixes - Changes moved from top srcdir.

 -- Bradley Smith <brad@brad-smith.co.uk>  Thu, 05 Jun 2008 18:41:46 +0100

analog (2:6.0-15) unstable; urgency=low

  * debhelper 7, rules file minimisation
  * Remove the hack to reorder the libfd dependencies, libgd2-noxpm-dev
    has it the right way around in its substvars now.
  * After 13 years, time to pass this on to someone else. Orphaned the
    package.

 -- Joey Hess <joeyh@debian.org>  Tue, 27 May 2008 19:37:15 -0400

analog (2:6.0-14) unstable; urgency=low

  * Updated Brazilian Portuguese Translation. Closes: #454593

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Dec 2007 23:04:06 -0500

analog (2:6.0-13) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #450860
  * [Debconf translation updates]
  * French. Closes: #451473
  * German. Closes: #451533
  * Finnish. Closes: #451534
  * Galician. Closes: #451543
  * Japanese. Closes: #451585
  * Italian. Closes: #451609
  * Czech. Closes: #451830
  * Spanish; Castilian. Closes: #452319
  * Basque. Closes: #453276
  * Portuguese. Closes: #453517
  * Vietnamese. Closes: #453653
  * Dutch; Flemish. Closes: #453699
  * Russian. Closes: #453716

  [ Joey Hess ]
  * Don't ignore make clean errors.
  * Add Homepage field and other new fun stuff.

 -- Joey Hess <joeyh@debian.org>  Wed, 05 Dec 2007 12:07:52 -0500

analog (2:6.0-12) unstable; urgency=low

  * Support resolving ipv6 addresses in log files. Closes: #422582
  * debhelper v5

 -- Joey Hess <joeyh@debian.org>  Tue, 08 May 2007 15:09:16 -0400

analog (2:6.0-11) unstable; urgency=low

