=== debian/control ===
Source: analog
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.9.0),
               libbz2-dev,
               libgd-dev,
               libjpeg-dev,
               libpcre3-dev,
               libpng-dev,
               libz-dev
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.6.0.1
Homepage: http://www.analog.cx/
Vcs-Git: https://salsa.debian.org/debian/analog.git
Vcs-Browser: https://salsa.debian.org/debian/analog
Rules-Requires-Root: no

Package: analog
Architecture: any
Depends: perl, ${misc:Depends}, ${shlibs:Depends}
Suggests: apache2 | httpd, rmagic
Description: web server log analyzer
 Analog is a fast log file processor that generates usage statistic reports
 for web servers.
 .
 Features:
  - Fast: can process millions of lines per minute;
  - Scalable;
  - Flexible: the default output is well suited for many needs but there
    are many options and 32 alternative report styles;
  - Internationalized output;
  - HTML output (compliant with standards);
  - Handles many log file formats;
  - Uses a command-line interface or a web interface.
