=== debian/tests/control ===
Test-Command: analog --help
Restrictions: superficial, allow-stderr

Test-Command: analog
Restrictions: allow-stderr
