=== debian/changelog ===
analog (2:6.0.17-3) unstable; urgency=medium

  * debian/analog.lintian-overrides: added to override warning about
    documentation outside /usr/share/doc. The files are not documentation.
  * debian/config: removed old package check, version 2:5.23-3.
  * debian/copyright: fix spelling error.
  * debian/lang/*: added UTF-8 language files, which were converted with iconv
    from the upstream lang directory. Consequently:
      - debian/install: changed to install UTF-8 language files from
        debian/lang directory.
      - debian/README.Debian: added explanation about debian/lang directory.
  * debian/po/de.po: changed to UTF-8 text encoding.
  * debian/po/pt_BR.po: changed to UTF-8 text encoding.
  * debian/po/sv.po: changed to UTF-8 text encoding.
  * debian/watch: updated.

 -- Lourisvaldo Figueredo Junior <lourisvaldo@figueredo.tec.br>  Wed, 16 Nov 2022 15:29:59 -0600

analog (2:6.0.17-2) unstable; urgency=medium

  * New maintainer. (Closes: #674866)
  * debian/control: bumped Std-Ver to 4.6.1.
  * debian/patches/06_fix-pcre-version.patch: created to make analog work with
    new version of PCRE. (Closes: #999917)

 -- Lourisvaldo Figueredo Junior <lourisvaldo@figueredo.tec.br>  Fri, 05 Aug 2022 22:54:31 -0500

analog (2:6.0.17-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #698359) (LP: #905313) Consequently:
      - debian/analog.cfg: created.
      - debian/control: updated Homepage field. (Closes: #974671)
      - debian/install: modified to install debian/analog.cfg.
      - debian/patches:
          ~ 00_misc_fixes.diff renamed to 01_misc_fixes.patch and updated.
          ~ 01_bzip_reading.diff renamed to 02_bzip_reading.patch and updated.
          ~ 02_fix_realpath_calls.diff renamed to 03_fix_realpath_calls.patch
            and updated.
          ~ 02_windows_vista_7.patch removed. No longer needed.
          ~ 04_reproducible.patch updated.
      - debian/upstream/metadata: created.
      - debian/watch: updated.
  * debian/rules: using SOURCE_DATE_EPOCH variable, instead of parsing
    the output of dpkg-parsechangelog.

 -- Lourisvaldo Figueredo Junior <lourisvaldo@figueredo.tec.br>  Sat, 30 Apr 2022 08:52:05 -0300
