=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
                libbz2-dev,
                libgd-dev,
                libjpeg-dev,
-               libpcre3-dev,
+               libpcre2-dev,
                libpng-dev,
                libz-dev
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.6.0.1
-Homepage: http://www.analog.cx/
+Maintainer: Lourisvaldo Figueredo Junior <lourisvaldo@figueredo.tec.br>
+Standards-Version: 4.6.1
+Homepage: https://www.c-amie.co.uk/software/analog
 Vcs-Git: https://salsa.debian.org/debian/analog.git
 Vcs-Browser: https://salsa.debian.org/debian/analog
 Rules-Requires-Root: no
