=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
+#export DH_VERBOSE = 1
 
 include /usr/share/dpkg/architecture.mk
-export BUILD_DATE = $(shell LC_ALL=C date -u --date="`dpkg-parsechangelog -SDate`" +'%b %e %Y %H:%M:%S')
+include  /usr/share/dpkg/pkg-info.mk
+export BUILD_DATE = $(SOURCE_DATE_EPOCH)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 ifeq ($(origin CC),default)
